\name{rawCd4DnaseI}
\alias{rawCd4DnaseI}
\alias{rawHelaDnaseI}
\alias{rawCD4}
\title{A data frame with information on the UCSC
browser track related to DNaseI hypersensitivity  }
\description{A data frame with information on the UCSC
browser track related to DNaseI hypersensitivity; the
rawCD4 object is an eSet extension representing the
same information; rawHelaDnaseI is like rawCD4 but results
on Hela cells. }
\usage{
data(rawCd4DnaseI)
data(rawHelaDnaseI)
data(rawCD4)
}
\details{
Obtained from a MySQL representation of the data 
distributed at the Genome Browser FTP site
}
\value{
a data.frame
}
\references{\url{hgdownload.cse.ucsc.edu} ... it appears
that they do not offer the MYD/MYI representations, just
the txt.gz and sql files now.   So if you obtain
the encodeNhgriDnaseHsChipRawCd4.txt and .sql files
at goldenPath/currentGenomes/Homo\_Sapiens/encode/database,
you can reconstruct the underlying data for this data.frame
(hg18, Nov 2007).}

\author{Vince Carey <stvjc@channing.harvard.edu>}
%\note{  }


%\seealso{  }

\examples{
data(rawCd4DnaseI)
dim(rawCd4DnaseI)
rawCd4DnaseI[1:5,]
library(lattice)
xyplot(dataValue~chromStart|chrom, data=rawCd4DnaseI, subset=chrom \%in\%
  c("chr1", "chr10", "chr19", "chr20"), scales=list(x=list(relation="free"))) 
}
\keyword{ models }
